%define old_libkexiv2 %mklibname kexiv2_ 9
%define rel   1

Name: libkexiv2
Summary: Wrapper around exiv2 library
Version: 4.8.2
Release: %mkrel %{rel}
Epoch: 2
Group: System/Libraries
License: GPLv2
URL: https://projects.kde.org/projects/kde/kdegraphics/libs/libkexiv2
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.xz
BuildRequires: kdelibs4-devel >= 2:%{version}
BuildRequires: pkgconfig(exiv2)
Conflicts: %{old_libkexiv2} < 2:4.6.90
# Branch Patch (100-200)

%description
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files
%doc AUTHORS NEWS README TODO
%{_kde_appsdir}/libkexiv2/data/topicset.iptc-subjectcode.xml

#------------------------------------------------------------------------------
%define kexiv2_major 10
%define libkexiv2 %mklibname kexiv2_ %kexiv2_major

%package -n %{libkexiv2}
Summary: %{name} library
Group: System/Libraries

%description -n %{libkexiv2}
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

%files -n %{libkexiv2}
%{_kde_libdir}/libkexiv2.so.%{kexiv2_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/KDE and Qt
Requires: %libkexiv2 = %epoch:%version-%release
Conflicts: kdegraphics4-devel < 2:4.6.10

%description devel
Libkexiv2 is a wrapper around Exiv2 library to manipulate pictures
metadata as EXIF/IPTC and XMP.

This package contains header files needed if you wish to build applications
based on libkexiv2.

%files devel
%{_kde_includedir}/libkexiv2
%{_kde_libdir}/pkgconfig/libkexiv2.pc
%{_kde_libdir}/libkexiv2.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON
%make

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog

* Wed Apr 04 2012 fwang <fwang> 2:4.8.2-1.mga2
+ Revision: 228479
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 2:4.8.1-1.mga2
+ Revision: 221508
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 2:4.8.0-1.mga2
+ Revision: 198110
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 2:4.7.97-1.mga2
+ Revision: 190860
- Update tarball to KDE SC 4.7.97

* Thu Dec 22 2011 mikala <mikala> 2:4.7.95-1.mga2
+ Revision: 185797
- Update tarball to KDE SC 4.7.95

* Thu Dec 15 2011 mikala <mikala> 2:4.7.90-1.mga2
+ Revision: 182174
- Update tarball to KDE SC 4.7.90
- Remove redundant requires on -devel package
- use gold for linker
- build with -DKDE4_ENABLE_FINAL=ON

* Sun Dec 04 2011 mikala <mikala> 2:4.7.4-1.mga2
+ Revision: 176518
- Update tarball to KDE SC 4.7.4

* Wed Nov 02 2011 mikala <mikala> 2:4.7.3-1.mga2
+ Revision: 161464
- Update tarball to KDE SC 4.7.3

* Sun Oct 09 2011 fwang <fwang> 2:4.7.2-2.mga2
+ Revision: 153438
- rebuild for new exiv2

* Wed Oct 05 2011 mikala <mikala> 2:4.7.2-1.mga2
+ Revision: 151980
- Update tarball to KDE SC 4.7.2

* Wed Sep 07 2011 mikala <mikala> 2:4.7.1-1.mga2
+ Revision: 140671
- Update tarball to KDE SC 4.7.1
- Remove %%defattr()
- Remove %%clean section
- Update tarball to KDE SC 4.7.0
- use pkgconfig() for buildrequires

* Mon Jul 11 2011 mikala <mikala> 2:4.6.95-0.mga2
+ Revision: 122308
- Update tarball to KDE 4.6.95 ( KDE SC 4.7 RC2)

* Wed Jun 29 2011 mikala <mikala> 2:4.6.90-1.mga2
+ Revision: 115906
- imported package libkexiv2

  + fwang <fwang>
    - move lib conflicts in to main package, it is the correct place for it
    - add conflits on older kdegraphic4-devel for upgrading

